import { modelOptions, plugin, Severity } from '@typegoose/typegoose';
import meta from './meta';

/**
 * 表的基类,有meta字段设置及允许混合设置
 */
@modelOptions({
  options: { allowMixed: Severity.ALLOW },
})
@plugin(meta)
export class BaseModel {}
